We currently support the following browsers:

  • Chrome 65+

  • Safari 11+

  • IE 11 and Edge

  • Firefox 61+

We recommend using the above for accessing the platform to optimise platform performance.

Did this answer your question?